changeset 1559:f0315ac24c40

Call record-commands.sh from buildall.sh.
author Rob Landley <rob@landley.net>
date Tue, 13 Nov 2012 13:56:04 -0600
parents 3a213739ee1c
children 6bdc83f49920
files more/buildall.sh more/record-commands.sh
diffstat 2 files changed, 4 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/more/buildall.sh	Tue Nov 13 13:55:10 2012 -0600
+++ b/more/buildall.sh	Tue Nov 13 13:56:04 2012 -0600
@@ -22,8 +22,10 @@
 
 mkdir -p build/logs &&
 (EXTRACT_ALL=1 ./download.sh 2>&1 &&
+ more/record-commands.sh &&
  ./host-tools.sh 2>&1 &&
- ./simple-cross-compiler.sh 2>&1 "$CROSS_COMPILER_HOST" ||
+ more/record-commands.sh &&
+ ./simple-cross-compiler.sh "$CROSS_COMPILER_HOST" 2>&1 ||
  dienow) | tee build/logs/build-host-cc.txt | maybe_quiet
 
 cp packages/MANIFEST build || dienow
--- a/more/record-commands.sh	Tue Nov 13 13:55:10 2012 -0600
+++ b/more/record-commands.sh	Tue Nov 13 13:56:04 2012 -0600
@@ -11,7 +11,7 @@
 echo "=== Setting up command recording wrapper"
 
 [ -f "$WRAPDIR/wrappy" ] && PATH="$OLDPATH"
-[ -f "$HOSTTOOLS/busybox" ] && PATH="$(hosttools_path)"
+[ -f "$HOSTTOOLS/toybox" ] && PATH="$(hosttools_path)"
 blank_tempdir "$WRAPDIR"
 
 # Populate a directory of symlinks with every command in the $PATH.